package cc.smtweb.system.canal.example;

import cc.smtweb.framework.core.mvc.config.ControllerConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author kevin
 */
@Configuration
@ComponentScan
public class ClientConfiguration {
    /**
     * 配置自定义service扫描路径 {module}/{service}/{method}
     */
    @Bean
    public ControllerConfig clientConfiguration() {
        return new ControllerConfig("canalClient", "cc.smtweb.system.canal.example", null);
    }
}
