package cc.smtweb.system.canal.example;

import java.util.Map;

/**
 * @Author yaoq
 * @Date 2022年09月13日 18:20
 * @Description
 */
public class ClientVO {
    private String tableName; // 表名
    private String type; // 类型（更新、删除、插入）
    private Map<String,String> data; // 数据JSON  自己转对应表格实体类
    private String id;  // 更新或删除都是根据ID来

    public static ClientVO ok(String tableName, String type, Map<String,String> data, String id){
        ClientVO canalVO=new ClientVO();
        canalVO.setId(id);
        canalVO.setTableName(tableName);
        canalVO.setType(type);
        canalVO.setData(data);
        return canalVO;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Map<String, String> getData() {
        return data;
    }

    public void setData(Map<String, String> data) {
        this.data = data;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
